v3.0

post

/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/{srcSubjectId}/codebreak

Retrieves code break. Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
Request Body - application/json ()
Root Schema : Code View Request
Type: object
Title: Code View Request
Contains code view request details.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : Code View Response
Type: object
Title: Code View Response
Contains code view response details.
Show Source
Nested Schema : Kit Types
Type: array
Title: Kit Types
Contains kit type details.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "kitTypeName":"Kit A",
        "description":"Non dosing kit",
        "packageTypeId":5,
        "packageType":"BOTTLE"
    }
]
Nested Schema : Treatment Arms
Type: array
Title: Treatment Arms
Contains treatment arm details.
Show Source
Example:
[
    {
        "id":"B1B8327AFAA6412287106192AB5984EF",
        "description":"Randomized successfully",
        "externalTreatmentId":"TA",
        "randNumber":1001,
        "randomizationDate":"2025-01-01T12:34:56Z",
        "rndStatusId":5
    }
]
Nested Schema : CodeViewResponse.KitTypes
Type: object
Kit type details object.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "kitTypeName":"Kit A",
    "description":"Non dosing kit",
    "packageTypeId":5,
    "packageType":"BOTTLE"
}
Nested Schema : dispensationDetails
Type: array
Dispensation details for the kit type.
Show Source
Example:
[
    {
        "lotId":"B1B8327AFAA6412287106192AB5984EF",
        "lotNumber":"LOT-001",
        "quantity":5
    }
]
Nested Schema : DispensationHistoryResponse v4.0
Type: object
Title: DispensationHistoryResponse v4.0
Response object containing Dispensation History.
Show Source
Nested Schema : RandomizationHistoryTO
Type: object
Title: RandomizationHistoryTO
Contains subject randomization history details.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "description":"Randomized successfully",
    "externalTreatmentId":"TA",
    "randNumber":1001,
    "randomizationDate":"2025-01-01T12:34:56Z",
    "rndStatusId":5
}
Examples

400 Response

For invalid parameters
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

404 Response

For invalid study ID or version. Or subject not found. Or site ID not found in site service
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top